CRMchat APIBeta
Telegram APIMessages

messages.getDiscussionMessage

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getDiscussionMessage

Get discussion message from the associated discussion group of a channel to show it on top of the comment section, without actually joining the group

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get discussion message from the associated discussion group of a channel to show it on top of the comment section, without actually joining the group

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getDiscussionMessage" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "msgId": 0    }  }'
{  "result": {    "_": "messages.discussionMessage",    "messages": [      {        "_": "messageEmpty",        "id": 0,        "peerId": {          "_": "peerUser",          "userId": 0        }      }    ],    "maxId": 0,    "readInboxMaxId": 0,    "readOutboxMaxId": 0,    "unreadCount": 0,    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}